org.modeshape.sequencer.teiid

## Class VdbTranslator

- java.lang.Object
- - org.modeshape.sequencer.teiid.VdbTranslator

- All Implemented Interfaces:
    Comparable<VdbTranslator>

      public class VdbTranslator
      extends Object
      implements Comparable<VdbTranslator>

  A simple POJO that is used to represent the information for an overridden translator read in from a VDB manifest ("vdb.xml").

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VdbTranslator(String name, String type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(VdbTranslator that)`
    `String` | `getDescription()`
    `String` | `getName()`
    `Map<String,String>` | `getProperties()`
    `String` | `getType()`
    `void` | `setDescription(String newValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VdbTranslator

          public VdbTranslator(String name,
                       String type)

      Parameters:
        `name` - the translator override name (cannot be `null` or empty)
        `type` - the translator type being overridden (cannot be `null` or empty)

  - ### Method Detail

    - #### compareTo

          public int compareTo(VdbTranslator that)

      Specified by:
        `compareTo` in interface `Comparable<VdbTranslator>`
      See Also:
        `Comparable.compareTo(java.lang.Object)`

    - #### getDescription

          public String getDescription()

      Returns:
        the description (never `null` but can be empty)

    - #### getName

          public String getName()

      Returns:
        the translator override name (never `null` or empty)

    - #### getProperties

          public Map<String,String> getProperties()

      Returns:
        the overridden properties (never `null`)

    - #### getType

          public String getType()

      Returns:
        the type of translator being overridden (never `null` or empty)

    - #### setDescription

          public void setDescription(String newValue)

      Parameters:
        `newValue` - the new description value (can be `null` or empty)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.